
D4Science Infrastructure - Incident #5589

The tagme webapp doesn't work anymore after the smartgears ugprade

Oct 27, 2016 06:30 PM - Andrea Dell'Amico

Status: Closed Start date: Oct 27, 2016

Priority: Urgent Due date:  

Assignee: Marco Cornolti % Done: 100%

Category: System Application Estimated time: 1.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

Tagme is not working after the upgrade to the new smartegears 2. On the smartgears front all is working correctly, but tagme fails

with the following exception:

2016-10-27 18:27:45,332 [catalina-exec-5] ERROR org.apache.catalina.core.ContainerBase.[Catalina].

[localhost].[/tagme].[TAGME]- Allocate exception for servlet TAGME

it.acubelab.tagme.config.ConfigurationException: The path of TAGME config file is empty and the JV

M System Property tagme.config is not set

        at it.acubelab.tagme.config.TagmeConfig.init(TagmeConfig.java:104)

        at it.acubelab.tagme.config.TagmeConfig.init(TagmeConfig.java:89)

        at it.acubelab.tagme.config.TagmeConfig.init(TagmeConfig.java:153)

        at it.acubelab.tagme.web.TagmeServlet.init(TagmeServlet.java:68)

        at org.apache.catalina.core.StandardWrapper.initServlet(StandardWrapper.java:1279)

        at org.apache.catalina.core.StandardWrapper.loadServlet(StandardWrapper.java:1192)

        at org.apache.catalina.core.StandardWrapper.allocate(StandardWrapper.java:864)

        at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:134)

        at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122)

        at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:501)

        at it.acubelab.tagme.web.SetCharEncodingValve.invoke(SetCharEncodingValve.java:18)

        at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170)

        at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:98)

        at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:950)

        at org.apache.catalina.valves.RemoteIpValve.invoke(RemoteIpValve.java:683)

        at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116)

        at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:408)

        at org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1

041)

        at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.j

ava:607)

        at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:313)

        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)

        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)

        at java.lang.Thread.run(Thread.java:745)

 Can you investigate? I don't  know how to intervene.

Related issues:

Related to D4Science Infrastructure - Incident #5591: The new authorization s... Closed Oct 28, 2016

History

#1 - Oct 28, 2016 09:40 AM - Andrea Dell'Amico

- Related to Incident #5591: The new authorization service stops responding added

#2 - Oct 28, 2016 09:40 AM - Andrea Dell'Amico

This problem was fixed (by @cornolti@di.unipi.it ?) but there's a new one impacting the service.

#3 - Oct 28, 2016 10:24 AM - Marco Cornolti

Hi! I fixed this yesterday and replied via e-mail but it was not added here, dunno why. Re-sending.

It seems that by installing the new version of Smartgears you have overwritten
~/tomcat/conf/catalina.properties

 which contained the property

tagme.config=/home/gcube/tagme/config.xml

 which pointed Tagme to the right configuration file and necessary data. I put the definition back and now it seems to be working.

This was a misconfiguration problem. I do not believe it is related to Incident #5591 (except they were both provoked by the update of SmartGears).

Cheers

Marco

#4 - Oct 28, 2016 10:25 AM - Marco Cornolti

- Status changed from New to Closed

- % Done changed from 0 to 100

- Estimated time set to 1.00 h

#5 - Oct 28, 2016 10:39 AM - Andrea Dell'Amico

Marco Cornolti wrote:

Hi! I fixed this yesterday and replied via e-mail but it was not added here, dunno why. Re-sending.

It seems that by installing the new version of Smartgears you have overwritten

~/tomcat/conf/catalina.properties

 which contained the property

tagme.config=/home/gcube/tagme/config.xml

 which pointed Tagme to the right configuration file and necessary data. I put the definition back and now it seems to be working.

 Ah. OK, catalina.properties is automatically provisioned so I'll need to find a way to properly include your modifications.

This was a misconfiguration problem. I do not believe it is related to Incident #5591 (except they were both provoked by the update of

SmartGears).

 I added a relation only because the service is still unavailable. The problem is now the authorization, and tagme is an heavy user.

Cheers

Marco

#6 - Oct 28, 2016 04:05 PM - Andrea Dell'Amico

Andrea Dell'Amico wrote:

Marco Cornolti wrote:

Hi! I fixed this yesterday and replied via e-mail but it was not added here, dunno why. Re-sending.

It seems that by installing the new version of Smartgears you have overwritten

~/tomcat/conf/catalina.properties

 which contained the property

tagme.config=/home/gcube/tagme/config.xml

 which pointed Tagme to the right configuration file and necessary data. I put the definition back and now it seems to be working.

 Ah. OK, catalina.properties is automatically provisioned so I'll need to find a way to properly include your modifications.

 Thinking about it, a better place for that kind of parameter would be the application's web.xml. Is it suitable?
#7 - Oct 28, 2016 05:43 PM - Marco Cornolti

Hi, I checked here and there but there seems not to be any way to set a system property from within the web.xml, the only way seems to be through

catalina.properties. I know, disappointing.

#8 - Nov 03, 2016 01:50 PM - Andrea Dell'Amico

OK, I'll find a way.
